//
// ColorPickerWnd.h
//

#ifndef _COLORPICKER_H_
#define _COLORPICKER_H_

#include <Window.h>
#include <Button.h>
#include <ColorControl.h>

#include "ColorTextView.h"

const uint32 MSG_REFRESH_HTML	= 'REFR';

class CColorPickerWnd: public BWindow
{
	public:
		CColorPickerWnd(const char* title, BRect rectScreen, rgb_color* pCrSelected);	// Constructor
		virtual void	Show();
		virtual void	MessageReceived(BMessage* pMsg);
		virtual bool	QuitRequested();

		BWindow*		m_pMainWnd;		
		bool			m_bCloseRequested;	// false, when the window should Hide()
	private:
		rgb_color*		m_pCrSelected;		// Selected color (pointer-> so we can set it to the rgb_color of the ColorTextView)
		rgb_color		m_crDefault;		// Default color

		BColorControl*	m_pColorCtrl;
		BButton*		m_pBtnOk;
		BButton*		m_pBtnCancel;
		BButton*		m_pBtnDefault;

		void			RestoreDefaultColor();
};

#endif