//
// ColorTextView.h
//

#ifndef _COLORTEXTVIEW_H_
#define _COLORTEXTVIEW_H_

#include <TextView.h>
#include <String.h>
#include <stdio.h>
#include <Message.h>
#include <InputServerDevice.h>

class CColorTextView: public BTextView
{
	public:
		CColorTextView(BRect frame);		// Constructor	
		virtual void	InsertText(const char* text, int32 length, int32 offset, const text_run_array* runs);
		virtual void	DeleteText(int32 start, int32 finish);
		virtual void	MessageReceived(BMessage *message);
		void			RefreshHtml();
		void			SwapColors();		
		
		rgb_color		m_crStart, m_crEnd;
		bool			m_bWrapLine;
		bool			m_bUppercaseTags;
		bool			m_bQuotationMarks;
		BTextView*		m_pTextViewHtml;
		BString			m_strHtml;
	private:
		void			SomethingDropped(BMessage *message);

		BFont*			m_pFont;
		bool			m_bInputServerWorking;
};

#endif