//
// MainWnd.h
//

#ifndef _MAINWND_H_
#define _MAINWND_H_

#include <Application.h>
#include <Clipboard.h>
#include <File.h>
#include <Roster.h>
#include <Entry.h>
#include <Window.h>
#include <TextView.h>
#include <ScrollView.h>
#include <MenuBar.h>
#include <Menu.h>
#include <MenuItem.h>
#include <Alert.h>
#include <Path.h>
#include <FindDirectory.h>
#include <Directory.h>
#include <Screen.h>
#include <stdio.h>

#include "ColorTextView.h"
#include "ColorPickerWnd.h"

class CMainWnd: public BWindow
{
	public:
		CMainWnd(BRect rectScreen);		// Constructor
		virtual void	MessageReceived(BMessage* pMsg);
		virtual bool	QuitRequested();
		virtual void	FrameResized(float width, float height);

		// ColorPicker-Windows...
		CColorPickerWnd*	m_pColorPickerWndStart;
		CColorPickerWnd*	m_pColorPickerWndEnd;
	private:		
		// Menues...
		BMenuBar*		m_pMenuBar;
		BMenu*			m_pMenuFile;				// File-Menue
		BMenuItem*		m_pMenuFilePreview;
		BMenuItem*		m_pMenuFileHelp;
		BMenuItem*		m_pMenuFileAbout;
		BMenuItem*		m_pMenuFileQuit;
		BMenu*			m_pMenuEdit;				// Edit-Menue
		BMenuItem*		m_pMenuEditStartColor;
		BMenuItem*		m_pMenuEditEndColor;
		BMenuItem*		m_pMenuEditSwapColors;
		BMenuItem*		m_pMenuEditCopy;
		BMenuItem*		m_pMenuEditWrap;
		BMenuItem*		m_pMenuEditUppercaseTags;
		BMenuItem*		m_pMenuEditQuotationMarks;
				
		// Other controls...
		CColorTextView*	m_pColorTextView;
		BScrollView*	m_pScrollViewColor;
		BTextView*		m_pTextViewHtml;
		BScrollView*	m_pScrollViewHtml;

		// Other member variables...
		BPath			m_pathApp;
		
		// Methodes...
		void			PreviewInBrowser();
		void			CopyHtmlSource2Clipboard();
		const char*		GetFullFilename(const char* strFilename);
		status_t		LaunchApplication(const char* strAppName);
		
		// Setting methodes...
		BEntry GetSettingFile();
		void RestoreSettings();
		bool SaveSettings();		
};

#endif